Problem with comparison.
/Designs/Measuring_instruments/RMDS01A/SW/Tools/README.txt
0,0 → 1,14
=== RMDS Synchronization Tools ===
 
= INFO
 
o First, nice directory structure is created from jpg files, see tidyup.sh for description
o Then complete sync of directory is done, this is repeated every 24 hours
o The script then runs infinite loop watching for new files and syncing them to server every hour
 
= USAGE
 
o You must have working ssh public key based authentication to server
o It is recommended to run the script in detachable screen
o Run ./sync.sh /path/to/folder where path is the directory to which jpg's from Spectrum Lab are saved
 
/Designs/Measuring_instruments/RMDS01A/SW/Tools/sync.sh
0,0 → 1,102
#!/usr/bin/env bash
 
[[ $# -ne 1 ]] && echo "Usage: ./sync.sh /path/to/folder" && exit 1
 
# Redirect stdout ( > ) into a named pipe ( >() ) running "tee"
exec > >(tee logfile.txt)
 
# Also redirect stderr
exec 2>&1
 
FREQUENCY=60
 
TIDYUP="./tidyup.sh"
RSYNC="./upload.sh"
 
DEFAULT="\033[00m"
RED="\033[01;31m"
BLUE="\033[01;36m"
 
function info() {
echo -en "$BLUE"; echo -n $1; echo -e "$DEFAULT"
}
 
function error() {
echo -en "$RED"; echo -n $1; echo -e "$DEFAULT"
}
 
function syncdir() {
EXIT=1
i=1
while [ $EXIT -ne 0 ]; do
info "Trying to sync $1, try number $i"
"$RSYNC" "$1"
EXIT=$?
[ $EXIT -ne 0 ] && error "sync failed"
let i++
done
return $EXIT
}
 
function tidyup() {
info "sorting $1"
"$TIDYUP" $1
EXIT=$?
if [ $EXIT -eq 1 ]; then
info "No new files to sort"
return 0
elif [ $EXIT -ne 0 ]; then
error "sorting failed, please send logfile.txt to toxygen1@gmail.com"
return 1
fi
return 0
}
 
# Change working directory
cd $1
 
# reset counter
HOURCOUNT=24
 
# Periodically tidy up and do incremental sync
while :
do
# start timer
start_time=`date +%s`
# sort
tidyup . || error "Sort failed, please send logfile.txt to toxygen1@gmail.com"
# increase counter every hour
# if 24 hour mark is hit, do daily sync
if [[ "$HOURCOUNT" -eq 24 ]]
then
info "Doing complete sync"
syncdir .
HOURCOUNT=0
# next line is important for the first run of the loop
read LAST < LAST
fi
let HOURCOUNT++
 
# read last processed day
OLD="$LAST"
read LAST < LAST
 
# sync last updated folder
syncdir "$LAST"
 
# days changed, sync yesterday too
[[ "$LAST" != "$OLD" ]] && info "syncing yesterday" && syncdir "$OLD"
 
tail -n 1000 logfile.txt > tmp.txt
mv tmp.txt logfile.txt
 
# end timer
end_time=`date +%s`
ELAPSED=`expr $end_time - $start_time`
info "execution time was $ELAPSED s"
 
# if last sync took less than TIME, sleep to make up 1 hour
[[ $ELAPSED -lt $FREQUENCY ]] && sleep `expr $FREQUENCY - $ELAPSED`
done
/Designs/Measuring_instruments/RMDS01A/SW/Tools/tidyup.sh
0,0 → 1,96
#!/usr/bin/env bash
#
# tidyup.sh
#
# This script will sort create organized directory structure
# from observation files in one directory.
#
# Takes one argument: path to the directory
#
# Returns 0 if sorting succeeds
# Returns 1 if there are no files to sort
# Returns >1 in case of error
#
# before:
#
# |
# | meteor_uflu_130128_0010.jpg
# | meteor_uflu_130128_0011.jpg
# | meteor_uflu_130128_1310.jpg
# | meteor_uflu_130129_1112.jpg
# | meteor_uflu_130129_1113.jpg
# | .
# | .
# | .
#
# after:
#
# |
# |- uflu <- observatory
# | |- 2013 <- year
# | |- 01 <- month
# | |- 28 <- day
# | | |- 00 <- hour
# | | | |- meteor_uflu_130128_0010.jpg
# | | | |- meteor_uflu_130128_0011.jpg
# | | |
# | | |- 13
# | | |- meteor_uflu_130128_1310.jpg
# | |
# | |- 29
# | | |- 11
# | |- meteor_uflu_130129_0012.jpg
# | |- meteor_uflu_130129_0012.jpg
# .
# .
# .
#
#
# filename format must be as meteor_uflu_130128_0010.jpg
 
EXT=jpg
DELIM="_"
SLASH="/"
LAST=""
 
 
# turn on debug
set -x
 
# none or 1 argument allowed
[[ "$#" -ne 1 ]] && echo "Wrong number of arguments ($#)" && exit 1
 
# directory in which to sort must exists
[[ ! -d "$1" ]] && echo "Directory doesn't exist" && exit 1
cd $1
 
# if there are no files with $EXT extension in the directory then quit
ls -f *.$EXT > /dev/null 2>&1
[[ "$?" -ne 0 ]] && exit 1
 
for i in *.$EXT; do
echo "processing " $i
PREFIX=`echo $i | cut -d $DELIM -f1,2`
OBSERVATORY=`echo $PREFIX | cut -d $DELIM -f2`
POSTFIX=`echo $i | cut -d $DELIM -f4`
 
TIMESTAMP=`echo "$i" | cut -d $DELIM -f3`
YEAR=20`echo "$TIMESTAMP" | cut -c 1-2`
MONTH=`echo "$TIMESTAMP" | cut -c 3-4`
DAY=`echo "$TIMESTAMP" | cut -c 5-6`
HOUR=`echo "$POSTFIX" | cut -c 1-2`
 
# observatory / year / month / day / hour
DAYDIR="$OBSERVATORY$SLASH$YEAR$SLASH$MONTH$SLASH$DAY$SLASH$HOUR"
 
# create directory with observatory name, year, month and day if hasn't existed before
[[ -d "$DAYDIR" ]] || mkdir -p "$DAYDIR"
mv "$i" "$DAYDIR"
done
 
echo -n "$OBSERVATORY$SLASH$YEAR$SLASH$MONTH$SLASH$DAY" > LAST
 
exit 0
 
 
/Designs/Measuring_instruments/RMDS01A/SW/Tools/upload.sh
0,0 → 1,23
#!/usr/bin/env bash
#
# sync directory to server
#
# this script should not be called manually
 
[[ "$#" -ne 1 ]] && echo "Please provide directory to upload" && exit 1
 
# debug
set -x
 
#cd `dirname $1`
#UPDIR=`basename $1`
UPDIR="$1"
 
# if exclude-list.txt is present, use it
# could as well be changed for rsync -q, but this is more clear
if [[ -f exclude-list.txt ]]
then
rsync -avtz "$UPDIR"/ --exclude-from='exclude-list.txt' meteor@neptun.avc-cvut.cz:data/"$UPDIR"
else
rsync -avtz "$UPDIR"/ meteor@neptun.avc-cvut.cz:data/"$UPDIR"
fi
/Designs/Measuring_instruments/RMDS01A/tests/vliv_teploty/data.txt
0,0 → 1,3
20.0 143.0392
-3.0 143.0387
 
/Designs/Measuring_instruments/RMDS01A/tests/vliv_teploty/plot.gp
0,0 → 1,16
set terminal png
set ylabel "LO Freq [MHz]"
set xlabel "Temp [deg C]"
set xrange [-20:40]
set autoscale y
set format y "%.5f"
set key off
set grid xtics mxtics ytics mytics back ls 12 ls 13
show grid
 
f(x)= a*x + q
 
fit f(x) "data.txt" using 1:2 via a,q
 
set output "temp_calib.png"
plot "data.txt" using 1:2 with points, f(x)
/Designs/Measuring_instruments/RMDS01A/tests/vliv_teploty/temp_calib.png
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/PrjInfo.txt
0,0 → 1,16
[InfoShortDescription.en]
Radio Meteor Detection Station
 
[InfoShortDescription.cs]
Stanice pro radiovou detekci meteorů
 
[InfoLongDescription.en]
 
MLAB set of modules which are used for radio detection of meteor trails. It can be upgraded by GPS time synchronization to determining meteoroids orbit from trails echo.
 
[InfoLongDescription.cs]
 
Set pro radiovou detekci meteorů. Může být použit pro základní měření četností, nebo rozšířen o časovou synchronizaci přes GPS k určení dráhy meteoru detekovaného na několika stanicích
 
 
[End]
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/RMDS.en.pdf
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/RMDS.en.tex
0,0 → 1,131
\documentclass[12pt,a4paper,oneside]{article}
\usepackage[colorlinks=true]{hyperref}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{graphicx}
\usepackage{pdfpages}
\textwidth 16cm \textheight 25cm
\topmargin -1.3cm
\oddsidemargin 0cm
\pagestyle{empty}
\begin{document}
\title{SDR meteor detector}
\author{Jakub Kákona, kaklik@mlab.cz }
\maketitle
 
\begin{abstract}
Construction of software defined radio meteor detector with possibility of advanced signal processing.
\end{abstract}
 
\begin{figure} [htbp]
\begin{center}
\includegraphics [width=80mm] {./img/meteor_detector_station}
\end{center}
\end{figure}
 
\begin{figure} [b]
\includegraphics [width=25mm] {SDRX01B_QRcode.png}
\end{figure}
 
\newpage
\tableofcontents
 
\section{Technical parameters}
\begin{table}[htbp]
\begin{center}
\begin{tabular}{|c|c|p{5cm}|}
\hline
\multicolumn{1}{|c|}{Parameter} & \multicolumn{1}{|c|}{Value} & \multicolumn{1}{|c|}{Note} \\ \hline
Powering voltage for analogue part & $\pm$12V & 50mA \\ \hline
Powering voltage for digital part & +5V & 300mA \\ \hline
Bias of optional LNA & 9V & max 500mA (Fused by 750mA on board) \\ \hline
Frequency range & 0,5 - 200 MHz & Usually working at GRAVES 143.05 MHz \\ \hline
Gain & 90dB & Selectable by jumper and LNA configuration \\ \hline
Self noise number & $<$ 30dB & \\ \hline
\end{tabular}
\end{center}
\end{table}
 
\newpage
\section{Introduction}
 
The detection of meteors by radio is most readily accomplished by a method known as "forward scatter". This technique usually exploits the existence of a VHF radio transmitter intended for some other purpose (such as historically analogue radio or TV broadcasting) and which is preferably situated some way beyond the optical horizon so that the direct signal does not desensitise the receiving equipment. The radio signal reflects mainly from the ionised meteor trail as it forms and dissipates, causing a brief signal to be heard on or close to the transmitter frequency. The trails form in the ionosphere (i.e., the upper atmosphere) at a height of about 100 $\pm$ 20 km.
 
Direct reflection from the meteoroid itself is not so readily detected. Meteoroids are not necessarily reflective at radio frequencies, they are usually small (0.05 - 200mm) and they generally enter the ionosphere at supersonic velocities. Thus the direct signal is usually weak; and the initial Doppler shift is large, making it difficult to associate the signal with the transmitter. Sometimes however, a Doppler shifted signal is observed to slew onto or across the transmitter frequency at the beginning of the detection event. This is the reflection from the ball of plasma surrounding the meteoroid (as opposed to the trail left behind), and is known as the "head echo".
 
The term "radar" is sometimes used to describe the forward scatter detection method. Note however, that 'radar' is an acronym for 'radio direction and ranging' and so, although distance and direction information can be extracted from data aggregated from an array of receivers, a single receiver installation does not constitute a radar system. A single receiver can only strictly report an estimate of the number of meteoroids which enter the ionosphere in the region illuminated by the chosen radio transmitter. Other interesting aspects of the meteor strike can be inferred from the recorded signals, but apparently obvious information, such as the relationship between signal strength and meteoroid mass is complicated by issues such as signal polarisation, trajectory and transmitter coverage.
One advantage of radio detection is that it works when the sky is light or when the sky is dark but overcast. By choosing a sufficiently powerful host transmitter, it also possible to record meteors which are too faint for the human eye even in the darkest and clearest conditions. A figure of between 2 and 10 times as many meteors as can be seen by visual observation under ideal conditions is sometimes quoted; but this must depend on the transmitter power and radiation pattern.
 
\section{Description of construction}
 
This construction of radio meteor detector uses France GRAVES space-surveillance radar. The radar has transmitting power of several megawatts at frequency 143.05 MHz.
 
\subsection{Antenna}
The detector station usually uses modified ground plane antenna. Adjusted in angle of 30$^\circ$ to East this configuration seems to be optimal to detecting stations in the Czech Republic.
 
\begin{figure} [htbp]
\begin{center}
\includegraphics [width=80mm] {./img/GP143MHz.JPG}
\end{center}
\caption{Antenna used at detection station}
\end{figure}
 
The received signal from antenna is amplified by specially constructed LNA. This step is needed for feeding the signal trough relative long (several metres) coax RG58. Construction of LNA01A is described on MLAB project site.
 
\subsection{SDR receiver}
 
The SDR receiver used is MLAB system SDRX01B direct sampling receiver. This receiver has ideal performance for UHF and lower band radioastronomy. So this receiver can be used even for radio meteor detection.
 
\begin{figure} [htbp]
\begin{center}
\includegraphics [width=80mm] {./img/meteor-detector_receiver.JPG}
\end{center}
\caption{Example of meteor detector receiver setup}
\end{figure}
 
 
\begin{figure} [htbp]
\begin{center}
\includegraphics [width=150mm] {./img/zakladni_schema.png}
\end{center}
\caption{Schematic drawing of complete meteor detector}
\end{figure}
 
 
\subsection{Time synchronisation}
 
Time synchronisation has crucial importance in any modern science measurement. There is possibility of using many synchronisation techniques. Such as NTP or GPS (see for our article at for our experiences)
 
Suggested method for time synchronisation of a measuring station depends on level of desired information which would be obtained from meteor reflection event.
 
For example: If we need hour count data only. We can use PC system time without any synchronisation. But if we have one more station and we would like to compare data with another stations then NTP syncing would be good choice. Highest level is trail parameters determination which need true radar signal processing and most precise time synchronisation which could be achieved by GPS receiver.
 
\begin{figure}[htbp]
\begin{center}
\includegraphics [width=150mm] {./img/colorgram.png}
\end{center}
\caption{Example of measured hourly count of meteor showers}
\end{figure}
 
\section{Software setup}
 
For simple PC based monitor station we are using SpectrumLab software with our configuration and detection script.
 
Local oscillator of SDRX01B - usually CLKGEN01B with tuning controller PIC18F455001A can be set up from PC or can be programmed for fixed start up frequency. If fixed start up frequency is correctly saved the only step for tuning the LO is provide power trough USB cable from PC and then press the RESET button of tuning microcomputer module. After that the LO shout be tuned on saved start up frequency. This frequency can be changed by
 
\begin{thebibliography}{99}
\bibitem{DR2G}{Spectrum Lab}
\href{http://www.qsl.net/dl4yhf/spectra1.html}{http://www.qsl.net/dl4yhf/spectra1.html}
 
\bibitem{DR2G}{Radio Meteor Detection}
\href{http://www.gb2nlo.org/index.php/articles/meteordet}{http://www.gb2nlo.org/index.php/articles/meteordet}
 
\bibitem{DR2G}{Meteor distance parameters}
\href{http://www.amsmeteors.org/richardson/distance.html}{http://www.amsmeteors.org/richardson/distance.html}
 
 
 
 
\end{thebibliography}
\end{document}
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/img/P1120671.JPG
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/img/meteor-detector_receiver.JPG
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/img/meteor_detector_station.JPG
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/img/GP143MHz.JPG
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/img/colorgram.png
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/img/meteor_shover.jpg
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/img/zakladni_schema.png
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/DOC/SRC/SDRX01B_QRcode.png
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/DOC/RMDS.en.pdf
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property
/Designs/Measuring_instruments/RMDS01A/meteor_detector_Small.JPG
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Property changes:
Added: svn:mime-type
+application/octet-stream
\ No newline at end of property